#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        A textedit with PIM-specific features
Name:           kpimtextedit
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Designer)
 
BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel >= 5.12.0
BuildRequires:  kemoticons-devel >= 5.12.0
BuildRequires:  sonnet-devel >= 5.12.0
BuildRequires:  ktextwidgets-devel >= 5.12.0
BuildRequires:  kwidgetsaddons-devel >= 5.12.0
BuildRequires:  kio-devel >= 5.12.0
BuildRequires:  kcodecs-devel >= 5.12.0
BuildRequires:  kdelibs4support-devel >= 5.12.0
BuildRequires:  grantlee-devel

BuildRequires:  cmake(KF5SyntaxHighlighting)

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
A textedit with PIM-specific features

#--------------------------------------------------------------------

%define kf5pimtextedit_major 5
%define libkf5pimtextedit %mklibname kf5pimtextedit %{kf5pimtextedit_major}

%package -n %libkf5pimtextedit
Summary:      A textedit with PIM-specific features
Group:        System/Libraries

Obsoletes:    %{_lib}kf5pimtextedit4    

%description -n %libkf5pimtextedit
A textedit with PIM-specific features

%files -n %libkf5pimtextedit
%_kf5_libdir/libKF5PimTextEdit.so.%{kf5pimtextedit_major}*

#--------------------------------------------------------------------

%define kf5pimtextedit_devel %mklibname kf5pimtextedit -d

%package -n %kf5pimtextedit_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5pimtextedit = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5pimtextedit_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5pimtextedit_devel
%_kf5_includedir/KPIMTextEdit
%_kf5_includedir/kpimtextedit_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5PimTextEdit
%_qt5_prefix/mkspecs/modules/qt_KPIMTextEdit.pri
%_qt5_plugindir/designer/kpimtexteditwidgets.so

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090113
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076857
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073580
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067367
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061430
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050693
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047337
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040094
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012584
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004373
- New version 16.04.0

* Tue Mar 29 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996384
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991216
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987486
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922654
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911959
- New version 15.12.0

* Tue Nov 24 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905707
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901153
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890634
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880446
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865964
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863779
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861777
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858543
- imported package kpimtextedit

